Bug 623569 - RFE: require static library
RFE: require static library
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: lzo (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 03:49 EDT by Kirby Zhou
Modified: 2017-04-06 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for EPEL5 (lzo-2.02-2.el5.1) version of lzo.spec (1.01 KB, patch)
2015-02-04 14:04 EST, Japheth Cleaver
no flags Details | Diff

  None (edit)
Description Kirby Zhou 2010-08-12 03:49:21 EDT
RFE: require static library

Could you please make a static library of lzo?
Comment 1 Huzaifa S. Sidhpurwala 2010-08-12 04:36:37 EDT
why?, fedora has a policy of using dynamic libs, where ever possible.
Comment 2 Kirby Zhou 2010-08-12 05:00:27 EDT
a lot of libXXX-devel contains a static version of its .so file.
I think lzo should do the same. It helps people who want to distribute binarys compiled with lzo.


[@djt_10_48 ~]# ll /usr/lib64/*.so | wc -l
224
[@djt_10_48 ~]# ll /usr/lib64/*.a | wc -l  
143
Comment 3 Mark Chappell 2010-09-23 16:12:31 EDT
Kirby, Huzaifa: 
*  In general, packagers are strongly encouraged not to ship static libs unless a compelling reason exists. 

As recently pointed out on the devel mailing list, fedora actively discourages shipping static libraries.  Choosing to do so is at the packagers discretion.
Comment 4 Japheth Cleaver 2015-02-04 14:03:04 EST
"Shipping" or building? This feels like the type of thing that can be included in an Everything (Fedora) or Optional (EL/EPEL) repository for those who have a use for it, without it being brought in for normal builds, nor impact the default distribution.

As an example, "zlib-static" is built and available in the rhel-7-server-optional-rpms channel on EL7. (This really goes for all versions (rawhide/fedora/rhel/epel).)

The mere existence of an lzo-static package (even if it's not included by default) would help those who'd like to migrate from whatever current use of zlib-static they have in their environment.
Comment 5 Japheth Cleaver 2015-02-04 14:04:27 EST
Created attachment 988248 [details]
Patch for EPEL5 (lzo-2.02-2.el5.1) version of lzo.spec
Comment 6 Fedora End Of Life 2017-04-06 06:27:27 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.